package com.m2pool.lease.utils;

/**
 * 线程变量
 */
public class UserThreadLocal {
    private static final ThreadLocal<String> USER_EMAIL = new ThreadLocal<>();

    public static void setUserEmail(String email) {
        USER_EMAIL.set(email);
    }

    public static String getUserEmail() {
        return USER_EMAIL.get();
    }

    public static void remove() {
        USER_EMAIL.remove();
    }
}
